Summary: A GNU source-level debugger for C, C++ and Fortran.
Name: gdb
Version: 4.18
Release: 11
Copyright: GPL
Group: Development/Debuggers
Source0: ftp://sourceware.cygnus.com/pub/gdb/snapshots/gdb-19991004.tar.bz2
# Snapshots are packaged slightly differently than releases.
# Source0: ftp://ftp.gnu.org/pub/gdb/gdb-4.18.tar.gz
# Source1: ftp://ftp.gnu.org/pub/gdb/gdb-4.18-testsuite.tar.gz
Patch1: gdb-4.18-sparc.patch
Patch3: gdb-4.18-sparcmin.patch
Patch4: gdb-4.18-sparccore.patch
Patch5: gdb-4.18-i386-gregset.patch
Buildroot: /var/tmp/%{name}-root
Prereq: /sbin/install-info

%description
Gdb is a full featured, command driven debugger. Gdb allows you to
trace the execution of programs and examine their internal state at
any time.  Gdb works for C and C++ compiled with the GNU C compiler
gcc.

If you are going to develop C and/or C++ programs and use the GNU gcc
compiler, you may want to install gdb to help you debug your
programs.

%prep
%setup -q -n gdb-19991004

%patch3 -p1 -b .sparcmin
%patch1 -p1 -b .sparc
%patch4 -p1 -b .sparccore
%patch5 -p1 -b .gregset

%build
#OS=`echo ${RPM_OS} | tr '[A-Z]' '[a-z]'`
#CC=egcs CFLAGS="-O2 -g" ./configure --prefix=/usr ${RPM_ARCH}-redhat-${OS}

%configure

make
make info

%install
rm -rf $RPM_BUILD_ROOT

make install install-info prefix=$RPM_BUILD_ROOT/usr

rm -f $RPM_BUILD_ROOT/usr/info/dir $RPM_BUILD_ROOT/usr/info/dir.info*
rm -f $RPM_BUILD_ROOT/usr/info/bfd*
rm -f $RPM_BUILD_ROOT/usr/info/readline* $RPM_BUILD_ROOT/usr/info/history*
rm -f $RPM_BUILD_ROOT/usr/info/standard*
rm -f $RPM_BUILD_ROOT/usr/bin/{texindex,texi2dvi,makeinfo,install-info,info}
rm -f $RPM_BUILD_ROOT/usr/info/texinfo* ./usr/info/info*
gzip -9nf $RPM_BUILD_ROOT/usr/info/*info*
strip $RPM_BUILD_ROOT/usr/bin/*
rm -rf $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/share

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/gdb.info.gz /usr/info/dir
/sbin/install-info /usr/info/gdbint.info.gz /usr/info/dir
/sbin/install-info /usr/info/mmalloc.info.gz /usr/info/dir
/sbin/install-info /usr/info/stabs.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/gdb.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/gdbint.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/mmalloc.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/stabs.info.gz /usr/info/dir
fi

%files
%defattr(-,root,root)
/usr/bin/*
# Don't install readline manpage; it is part of the readline package.
/usr/man/*/gdb.*
/usr/info/gdb.info*
/usr/info/gdbint.info*
/usr/info/stabs.info*
/usr/info/mmalloc.info*

%changelog
* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Tue Feb  8 2000 Jakub Jelinek <jakub@redhat.com>
- fix core file handling on i386 with glibc 2.1.3 headers

* Fri Jan 14 2000 Jakub Jelinek <jakub@redhat.com>
- fix reading registers from core on sparc.
- hack around build problems on i386 with glibc 2.1.3 headers

* Thu Oct 7 1999 Jim Kingdon
- List files to install in /usr/info specifically (so we don't pick up
things like info.info from GDB snapshots).

* Thu Oct 7 1999 Jim Kingdon
- Update GDB to 19991004 snapshot.  This eliminates the need for the
sigtramp, sparc, xref, and threads patches.  Update sparcmin patch.

* Mon Aug 23 1999 Jim Kingdon
- Omit readline manpage.

* Tue Aug 7 1999 Jim Kingdon
- Remove H.J. Lu's patches (they had been commented out).
- Add sigtramp patch (from gdb.cygnus.com) and threads patch (adapted
from code fusion CD-ROM).

* Wed Apr 14 1999 Jeff Johnson <jbj@redhat.com>
- merge H.J. Lu's patches into 4.18.

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- updated the kern22 patch with stuff from davem

* Thu Apr  1 1999 Jeff Johnson <jbj@redhat.com>
- sparc with 2.2 kernels no longer uses sunos ptrace (davem)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- Sparc fiddles for Red Hat 6.0.
